Subject: Re: [Bier] New Version Notification for draft-merling-bier-frr-00.txt

From: Michael Menth <[email-masked]>
Date: Tue, 5 Mar 2019 11:28:59 +0100

Dear WG,

please find attached a new draft for BIER-FRR. We would like to present
it in Prague and are happy to receive feedback.

Kind regards,

Michael

Am 05.03.2019 um 11:22 schrieb [email-masked]:
> 
> A new version of I-D, draft-merling-bier-frr-00.txt
> has been successfully submitted by Daniel Merling and posted to the
> IETF repository.
> 
> Name:		draft-merling-bier-frr
> Revision:	00
> Title:		BIER Fast Reroute
> Document date:	2019-03-05
> Group:		Individual Submission
> Pages:		15
> URL:            https://www.ietf.org/internet-drafts/draft-merling-bier-frr-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-merling-bier-frr/
> Htmlized:       https://tools.ietf.org/html/draft-merling-bier-frr-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-merling-bier-frr
> 
> 
> Abstract:
>    BIER is a scalable multicast overlay [RFC8279] that utilizes some
>    routing underlay, e.g., IP, to build up its Bit Index Forwarding
>    Tables (BIFTs).  This document proposes a Fast Reroute Extension for
>    BIER (BIER-FRR).  In case of a link or node failure, the routing
>    underlay may first utilize FRR techniques to restore connectivity and
>    then its forwarding tables converge.  After that, BIER can update its
>    BIFTs, which requires time.  BIER packets may not be delivered until
>    the last procedure has finished.  With BIER-FRR, a BIER Forwarding
>    Router (BFR) can deliver BIER packets again after a link or node
>    failures as soon as the connectivity within the routing underlay is
>    restored and the BFR is informed about a next-hop (NH) that is
>    unreachable on a lower layer.  BIER-FRR provides a mode for link
>    protection and node protection.  For link protection, it tunnels
>    traffic to the next-hop using the underlying routing.  For node
>    protection, it forwards BIER packets to their specific next-hop and
>    next-next-hops using tunnels in the underlying routing after applying
>    a suitable backup bitmask to the bitstring in the BIER header of each
>    packet.  This procedure prevents duplicates.  If topology allows,
>    BIER-FRR achieves full protection against any single component
>    failure.  For link protection, BIER-FRR requires only a minor change
>    to the forwarding logic.  For node protection, BIER-FRR also requires
>    backup entries in the BIFT.
> 
>    This document describes the concept and operating principles of BIER-
>    FRR.  It defines the necessary modifications to the BIER forwarding
>    Procedure and the BIFT, and explains how backup entries are computed.
> 
>                                                                                   
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 

-- 
Prof. Dr. habil. Michael Menth
University of Tuebingen
Faculty of Science
Department of Computer Science
Chair of Communication Networks
Sand 13, 72076 Tuebingen, Germany
phone: (+49)-7071/29-70505
fax: (+49)-7071/29-5220
mailto:[email-masked]
http://kn.inf.uni-tuebingen.de